using System;
using System.Windows.Threading;

internal sealed class Delegate22 : MulticastDelegate
{
	public extern void Invoke(object object_0, DispatcherUnhandledExceptionEventHandler dispatcherUnhandledExceptionEventHandler_0);

	public static void smethod_0(object object_0, DispatcherUnhandledExceptionEventHandler dispatcherUnhandledExceptionEventHandler_0, Delegate22 delegate22_0)
	{
		delegate22_0(object_0, dispatcherUnhandledExceptionEventHandler_0);
	}

	public extern Delegate22(object object_0, IntPtr intptr_0);

	static Delegate22()
	{
		Class10.smethod_13(typeof(Delegate22).TypeHandle);
	}

	internal static Delegate22 nyVwlcxgTq;
}
